/* Resets some default browser styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Set the background image */
.image-container {
    position: relative;
    background-image: url('./photos/PP.jpg');
    background-size: auto;
    background-repeat: no-repeat;
    background-position: center;
    height: 300vh; /* Set the height equal to the desired scrolling area */
}

/* Add cool effect when hovering over the image */
.image-container:hover {
    filter: brightness(80%) sepia(70%) hue-rotate(-30deg);
    transition: filter 0.5s ease-in-out;
}

/* Style the text box */
.text-box {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 20px;
    text-align: center;
    border-radius: 10px;
    font-family: 'Bungee Hairline', cursive;
    font-weight: bold;
}

/* Added keyframes for scrolling animation */
@keyframes scroll {
    0% {
        background-position: 0 0;
    }
    100% {
        background-position: 0 -7488px;
    }
}

/* Force desktop styles on all viewports */
body {
    background: repeating-linear-gradient(
        45deg,
        #000,
        #000 10px,
        #ff0000 10px,
        #ff0000 20px
    );
    position: relative;
    overflow: hidden;
}

body::before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 200%;
    height: 100%;
    background: repeating-linear-gradient(
        45deg,
        rgba(0, 255, 0, 0.2) 25%,
        transparent 25%,
        transparent 50%,
        rgba(0, 255, 0, 0.2) 50%,
        rgba(0, 255, 0, 0.2) 75%,
        transparent 75%,
        transparent
    );
    z-index: 1;
    animation: glitch-animation 2s infinite linear alternate-reverse;
}

@keyframes animateEllipsis {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

.animated-ellipsis .ellipsis {
    display: inline-block;
    animation: animateEllipsis 1.5s infinite;
}

#storeButton {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    z-index: 2; /* Increased z-index value */
}

  .decorative-line {
    border-top: 1px solid black;
    margin: 8px 0;
    position: relative;
  }
  .decorative-line::before {
    content: "";
    position: absolute;
    top: -7px;
    left: 0;
    right: 0;
    height: 2px;
    background-color: black;
  }
.glitch-char {
  display: inline-block;
  animation: shake 0.05s infinite;
}

@keyframes shake {
  0% {
    transform: translate(0, 0);
  }
  25% {
    transform: translate(2px, -2px);
  }
  50% {
    transform: translate(0, 0);
  }
  75% {
    transform: translate(-2px, 2px);
  }
  100% {
    transform: translate(0, 0);
  }
}
